Subject: Re: [PATCH/RFC] gitweb: Great subroutines renaming

From: Jakub Narebski <[email-masked]>
Date: Tue, 08 Aug 2006 22:24:52 +0200

Junio C Hamano wrote:

> Jakub Narebski <[email-masked]> writes:
> 

>> Wouldn't it be better to (re)use notation of rpm's --query-format, 
>> i.e. use %{name}, or %30{name}, or %-30{name} for single scalar values,
>> use :typetag output formats,...
> 
> I did not do them because these enhancements are not needed to
> unblock you from optimizing git_get_* calls in gitweb.  These
> enhancement can come later as long as the initial syntax is
> simple, clean and extensible enough, which I think it is.

Yes, that's true. I'm wondering if %(fieldname) of %{fieldname} would be
better.

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git